> # NAME

> cgGetBoolAnnotationValues - get the values from a boolean-valued annotation

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const CGbool * cgGetBoolAnnotationValues( CGannotation ann,
>                                                 int * nvalues );

> # PARAMETERS

> ann

>   The annotation.

> nvalues

>   Pointer to integer where the number of returned values will be stored.

> # RETURN VALUES

> Returns a pointer to an array of CGbool values. The number of values in the array is returned via the nvalues parameter.

> Returns NULL if no values are available. nvalues will be 0.

> # DESCRIPTION

> cgGetBoolAnnotationValues allows the application to retrieve the value(s) of a boolean typed annotation.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

> # HISTORY

> cgGetBoolAnnotationValues was introduced in Cg 1.5.

> # SEE ALSO

> cgGetAnnotationType, cgGetFloatAnnotationValues, cgGetIntAnnotationValues, cgGetStringAnnotationValues